#include <gtk/gtk.h>
#include<stdio.h>
#include<stdlib.h>

void 
on_window1_destroy (GtkObject *object, gpointer user_data)
{
    gtk_main_quit ();
}

void 
on_lfshutdown_pressed (GtkObject *object, gpointer user_data)
{
    printf ("shutdown!\n");
    system("/sbin/shutdown -h now");
}

void 
on_lfreboot_pressed (GtkObject *object, gpointer user_data)
{
    printf ("reboot!\n");
    system("/sbin/shutdown -r now");
}

void 
on_lfhibernate_pressed (GtkObject *object, gpointer user_data)
{
    printf ("hibernate!\n");
    system("pmi action hibernate");
    gtk_main_quit ();
}

void 
on_lfsuspend_pressed (GtkObject *object, gpointer user_data)
{
    printf ("suspend!\n");
    system("pmi action suspend");
    gtk_main_quit ();
}

void 
on_lfexit_pressed (GtkObject *object, gpointer user_data)
{
    printf ("exit!\n");
    system("killall openbox");
    gtk_main_quit ();
}

int
main (int argc, char *argv[])
{

    GtkBuilder      *builder; 
    GtkWidget       *window1;

    gtk_init (&argc, &argv);

    builder = gtk_builder_new ();
    gtk_builder_add_from_file (builder, "/usr/share/lfpower/lfpower.xml", NULL);
    window1 = GTK_WIDGET (gtk_builder_get_object (builder, "window1"));
    gtk_builder_connect_signals (builder, NULL);

    g_object_unref (G_OBJECT (builder));
        
    gtk_widget_show (window1);                
    gtk_main ();

    return 0;
}
